<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: test_interpolate_spline Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacetest__interpolate__spline.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">test_interpolate_spline Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a534bc19be20f324977e460b681c05c37"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__interpolate__spline.html#a534bc19be20f324977e460b681c05c37">ApplyInterpolation</a> (y_data, y_data_interpolation)</td></tr>
<tr class="separator:a534bc19be20f324977e460b681c05c37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99efce0d23401dbb3220e3bf8e5c5df7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__interpolate__spline.html#a99efce0d23401dbb3220e3bf8e5c5df7">make_variable</a> (tuple, initializer)</td></tr>
<tr class="separator:a99efce0d23401dbb3220e3bf8e5c5df7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6e71835b720933b3a5651c87c06b268"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetest__interpolate__spline.html#aa6e71835b720933b3a5651c87c06b268">assign_variable_slice</a> (slices, values, var)</td></tr>
<tr class="separator:aa6e71835b720933b3a5651c87c06b268"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a534bc19be20f324977e460b681c05c37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a534bc19be20f324977e460b681c05c37">&#9670;&nbsp;</a></span>ApplyInterpolation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def test_interpolate_spline.ApplyInterpolation </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_data_interpolation</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespacetest__interpolate__spline_a534bc19be20f324977e460b681c05c37_icgraph.png" border="0" usemap="#namespacetest__interpolate__spline_a534bc19be20f324977e460b681c05c37_icgraph" alt=""/></div>
<map name="namespacetest__interpolate__spline_a534bc19be20f324977e460b681c05c37_icgraph" id="namespacetest__interpolate__spline_a534bc19be20f324977e460b681c05c37_icgraph">
<area shape="rect" title=" " alt="" coords="309,5,516,52"/>
<area shape="rect" href="namespacetest__interpolate__spline.html#aa6e71835b720933b3a5651c87c06b268" title=" " alt="" coords="5,5,261,52"/>
</map>
</div>

</div>
</div>
<a id="aa6e71835b720933b3a5651c87c06b268"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6e71835b720933b3a5651c87c06b268">&#9670;&nbsp;</a></span>assign_variable_slice()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def test_interpolate_spline.assign_variable_slice </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>slices</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>values</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>var</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespacetest__interpolate__spline_aa6e71835b720933b3a5651c87c06b268_cgraph.png" border="0" usemap="#namespacetest__interpolate__spline_aa6e71835b720933b3a5651c87c06b268_cgraph" alt=""/></div>
<map name="namespacetest__interpolate__spline_aa6e71835b720933b3a5651c87c06b268_cgraph" id="namespacetest__interpolate__spline_aa6e71835b720933b3a5651c87c06b268_cgraph">
<area shape="rect" title=" " alt="" coords="5,41,261,88"/>
<area shape="rect" href="namespacetest__interpolate__spline.html#a534bc19be20f324977e460b681c05c37" title=" " alt="" coords="331,5,538,52"/>
<area shape="rect" href="namespacetest__interpolate__spline.html#a99efce0d23401dbb3220e3bf8e5c5df7" title=" " alt="" coords="309,76,560,123"/>
</map>
</div>

</div>
</div>
<a id="a99efce0d23401dbb3220e3bf8e5c5df7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99efce0d23401dbb3220e3bf8e5c5df7">&#9670;&nbsp;</a></span>make_variable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def test_interpolate_spline.make_variable </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tuple</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>initializer</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespacetest__interpolate__spline_a99efce0d23401dbb3220e3bf8e5c5df7_icgraph.png" border="0" usemap="#namespacetest__interpolate__spline_a99efce0d23401dbb3220e3bf8e5c5df7_icgraph" alt=""/></div>
<map name="namespacetest__interpolate__spline_a99efce0d23401dbb3220e3bf8e5c5df7_icgraph" id="namespacetest__interpolate__spline_a99efce0d23401dbb3220e3bf8e5c5df7_icgraph">
<area shape="rect" title=" " alt="" coords="309,5,560,52"/>
<area shape="rect" href="namespacetest__interpolate__spline.html#aa6e71835b720933b3a5651c87c06b268" title=" " alt="" coords="5,5,261,52"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacetest__interpolate__spline.html">test_interpolate_spline</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
